### Function

# EDataBook bSqlChangeCallback

since: 3.12

#### Declaration

    void
    (* EbSqlChangeCallback) (
      EbSqlChangeType change_type,
      const gchar* uid,
      const gchar* extra,
      const gchar* vcard,
      gpointer user_data
    )

#### Description [src]

A function which may be called in response to a change in contact data.

This user callback is called inside a lock, you must not call the `EBookSqlite` API from this callback..

Available since: 3.12

#### Parameters

`change_type`

  Type: `EbSqlChangeType`

  The `EbSqlChangeType` which occurred.

`uid`

  Type: `const gchar*`

  A contact UID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`extra`

  Type: `const gchar*`

  The extra data associated to the contact.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`vcard`

  Type: `const gchar*`

  The vcard string for this UID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  Pointer to user provided data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.